### A free/open-source library for quantitative finance

Public Member Functions
GaussianKernel Class Reference

Gaussian kernel function. More...

`#include <ql/math/kernelfunctions.hpp>`

Inheritance diagram for GaussianKernel:
[legend]

List of all members.

## Public Member Functions

| GaussianKernel (Real average, Real sigma)
Real | operator() (Real x) const
Real | derivative (Real x) const
Real | primitive (Real x) const

## Detailed Description

Gaussian kernel function.